Bug 1294235 - [abrt] xorg-x11-server-Xorg: Segmentation fault at address 0x80
[abrt] xorg-x11-server-Xorg: Segmentation fault at address 0x80
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:84a14c37db8cf5828dfb6ef63e3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 11:47 EST by lejeczek
Modified: 2016-12-20 12:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:22:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (408 bytes, text/plain)
2015-12-25 11:47 EST, lejeczek
no flags Details
File: dmesg (73.32 KB, text/plain)
2015-12-25 11:47 EST, lejeczek
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (332 bytes, application/octet-stream)
2015-12-25 11:47 EST, lejeczek
no flags Details
File: usr_share_xorg_conf_d.tar.gz (2.35 KB, application/octet-stream)
2015-12-25 11:47 EST, lejeczek
no flags Details
Sample from journalctl -e (82.19 KB, text/plain)
2016-01-25 17:12 EST, srakitnican
no flags Details
journalctl snippet (20.45 KB, text/plain)
2016-01-26 16:12 EST, Chris
no flags Details

  None (edit)
Description lejeczek 2015-12-25 11:47:50 EST
Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
executable:     /usr/bin/X
kernel:         4.2.6-300.fc23.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: ? (?+0x2b357ca0) [0x7fff2b8f2990]
1: ? (?+0x2b357ca0) [0xff379f14c7bf]
2: ? (?+0x2b357ca0) [0xff3799d4d9e0]
3: ? (?+0x2b357ca0) [0xff3799d83370]
4: ? (?+0x2b357ca0) [0x7fff2b792e00]
5: ? (?+0x2b357ca0) [0x7fff2b8eb2e0]
6: ? (?+0x2b357ca0) [0x7fff2b78e210]
7: ? (?+0x2b357ca0) [0x7fff2b7920e0]
8: ? (?+0x2b357ca0) [0xff379f138130]
9: ? (?+0x2b357ca0) [0x7fff2b77c7f0]
10: ? (?+0x2b357ca0) [0x7fff2b357ca0]
Comment 1 lejeczek 2015-12-25 11:47:53 EST
Created attachment 1109416 [details]
File: backtrace
Comment 2 lejeczek 2015-12-25 11:47:55 EST
Created attachment 1109417 [details]
File: dmesg
Comment 3 lejeczek 2015-12-25 11:47:57 EST
Created attachment 1109418 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 lejeczek 2015-12-25 11:47:58 EST
Created attachment 1109419 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 5 srakitnican 2016-01-25 17:12 EST
Created attachment 1118261 [details]
Sample from journalctl -e

Since recently noticed that Xorg have started to crash occasionally. It pulls with it all running applications that are forcefully terminated. The only thing that changed was that I upgraded my Fedora 23 system. Attached output from "journalctl -e" starting from the time it crashed.
Comment 6 Chris 2016-01-26 16:12 EST
Created attachment 1118611 [details]
journalctl snippet
Comment 7 Chris 2016-01-26 16:15:44 EST
I seem to be having the same issue, attached a journalctl readout from around the time of the latest crash.

Crashes like this one leave me at the GDM login screen, when returning to session all extensions in GNOME disabled, but otherwise as normal.

Am generally not doing anything 'different' just before a crash occurs.

I am running 3 screens on an Intel onboard solution, with one extra screen on a discrete card.
Comment 8 HUGO LOPES 2016-03-17 11:02:21 EDT
Description of problem:
Geralemente acontece quando estou vendo algum video na internet ou em meu computador

Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.4
executable:     /usr/bin/Xorg
kernel:         4.4.3-300.fc23.i686
runlevel:       N 5
type:           xorg
uid:            0
xorg.conf:      

Truncated backtrace:
0: ? (?+0xb518150d) [0xbd3806ad]
1: ? (?+0xb518150d) [0x6c8cc10c]
2: ? (?+0xb518150d) [0xbd20faed]
3: ? (?+0xb518150d) [0xbd20bfcd]
4: ? (?+0xb518150d) [0xbd20c1ed]
5: ? (?+0xb518150d) [0xbd301dad]
6: ? (?+0xb518150d) [0xbd30228d]
7: ? (?+0xb518150d) [0xbd3306dd]
8: ? (?+0xb518150d) [0xbd35bc5d]
9: ? (?+0xb518150d) [0xbd35bf2d]
10: ? (?+0xb518150d) [0xbd240e4d]
11: ? (?+0xb518150d) [0xbd1fb39d]
12: ? (?+0xb518150d) [0xbd1ff8bd]
13: ? (?+0xb518150d) [0xbd1e810d]
14: ? (?+0xb518150d) [0x6c24095d]
15: ? (?+0xb518150d) [0xbd1e8162]
Comment 9 Fedora End Of Life 2016-11-24 09:31:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 12:22:58 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.